Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
New Contributor
mscheel
Posts: 5
Registered: ‎10-20-2011
My Device: SIMULATOR

Android compatibility errors

[ Edited ]

When I run the compatibility tester I get errors.  Is there documentation for these errors?  Here are some of them:

4. Severe incompatibilities found 



2uses-featureandroid.hardware.camera
2uses-featureandroid.hardware.camera.autofocus
2uses-featureandroid.hardware.microphone
3uses-methodandroid.media.MediaPlayer$setAudioStreamType

 

 

How do I interpret these, are they only warnings or does this really mean that you cannot use the camera on a playbook when running an android app?

 

 

Please use plain text.
New Contributor
mscheel
Posts: 5
Registered: ‎10-20-2011
My Device: SIMULATOR

Re: Android compatibility errors

I think I found the answer, wow, this is a long list of things that are incompatible!

 

https://bdsc.webapps.blackberry.com/android/apisupport

 

Also, the compatibility checker is kind of buggy if you change your APK and try to rerun it.  I was able to get one error to go away with a code change, but another one won't go away despite the code no longer existing in the APK.

Please use plain text.
New Contributor
mscheel
Posts: 5
Registered: ‎10-20-2011
My Device: SIMULATOR

Re: Android compatibility errors

Another bug - minimum api level is not being detected by the compatibility checker.  After struggling to deal with a confusing SDK error ("13:10" or something like that), I ended up with this manifest entry:

 

<uses-sdkandroid:minSdkVersion="7"android:targetSdkVersion="10"/>

 

Based on the docs, the min value must be 10, but the compatibility checker doesn't report it.

 

It shouldn't be an issue, but the compatibility checker or the docs need to be updated to resolve the inconsistency.

Please use plain text.